# -*- coding: utf-8 -*-

from typing import Optional

from pydantic import BaseModel


class BluetoothBase(BaseModel):
    name: Optional[str] = None
    deviceName: Optional[str] = None
    deviceId: Optional[str] = None
    localName: Optional[str] = None
    RSSI: Optional[float] = None
    advertisData: Optional[str] = None
    manufacturerData: Optional[str] = None


class BluetoothCreate(BluetoothBase):
    pass


class IBeaconBase(BaseModel):
    minor: Optional[int] = None
    major: Optional[int] = None
    rssi: Optional[float] = None
    proximity: Optional[int] = None
    accuracy: Optional[float] = None
    uuid: Optional[str] = None
